Take the 2-minute tour ×
WordPress Development Stack Exchange is a question and answer site for WordPress developers and administrators. It's 100% free, no registration required.

I am using Gravity Forms on my Wordpress site, and so far so good. The problem is I have made the page secure (https/SSL), and this is making the form not to work.

It looks like the issue is how the site is trying to load jQuery. There are 23 JS errors on the page, which seem to be due to a failed jQuery load "Uncaught ReferenceError: jQuery is not defined".

If I go to the page where the source is trying to pull the jQuery file, you'll see the error:https://code.jquery.com/jquery-1.7.1.min.js?ver=3.4.2

Screenshot of the error:
https jquery error
click to enlarge

And this screenshot is the reference in the page source: source page

So I have been told I'd want to look into that - that's where the ultimate issue is, but I don't really know what to do next.

Is it failing because of Gravity Forms, the HTTPS plugin from Wordpress, my SSL certificate...?

share|improve this question
add comment

1 Answer

up vote 1 down vote accepted

Pretty sure it's because the official jQuery CDN doesn't support HTTPS - use Microsoft's or Google's instead.

share|improve this answer
    
Hey thanks for the quick answer! I have multiple things working on JS such as a slider and the forms. If I change to Google's CDN, for example, will it still be working? I'm quite new to all this, so your help is much appreacited. –  cmykrgbb Nov 5 '12 at 10:33
    
Sure - you're just loading jQuery from somewhere else. For maximum assurance, load the same version as you were before (1.7.1) –  TheDeadMedic Nov 5 '12 at 10:35
    
Thanks for pointing me in the right direction! I've just installed a Wordpress plugin that lets me choose the CDN. wordpress.org/extend/plugins/wp-jquery-cdn/installation But still not working, and if I look at the source code, it's still requesting code.jquery instead of google, so I guess it must be the Gravity Forms plugin that needs changing (and not the Wordpress theme), right? –  cmykrgbb Nov 5 '12 at 10:48
    
It's probably because you're not loading jQuery correctly in the first place - you should be using wp_enqueue_script( 'jquery' ). I suggest you remove jQuery from your theme, uninstall that plugin, then check out this tut to implement. –  TheDeadMedic Nov 5 '12 at 10:53
    
I did this and it's working flawlessly now! I just had to change the URL to Google's CDN in the functions.php Thanks a lot mate! –  cmykrgbb Nov 5 '12 at 11:12
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.